# Interface TemporalDatum

All Superinterfaces:
  `Datum, IdentifiedObject`

All Known Implementing Classes:
  `DefaultTemporalDatum`

@UML(identifier="CD_TemporalDatum", specification=ISO_19111) public interface TemporalDatum extends Datum
A temporal datum defines the origin of a temporal coordinate reference system.

Since:
  1.0

- ## Field Summary

  ### Fields inherited from interface Datum

  `ANCHOR_POINT_KEY, DOMAIN_OF_VALIDITY_KEY, REALIZATION_EPOCH_KEY, SCOPE_KEY`

  ### Fields inherited from interface IdentifiedObject

  `ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InternationalString`
  `getAnchorPoint()`
  This attribute is defined in the `Datum` parent interface, but is not used by a temporal datum.
  `Date`
  `getOrigin()`
  The date and time origin of this temporal datum.
  `Date`
  `getRealizationEpoch()`
  This attribute is defined in the `Datum` parent interface, but is not used by a temporal datum.

  ### Methods inherited from interface Datum

  `getDomainOfValidity, getScope`

  ### Methods inherited from interface IdentifiedObject

  `getAlias, getIdentifiers, getName, getRemarks, toWKT`

- ## Method Details

  - ### getOrigin

    @UML(identifier="origin", obligation=MANDATORY, specification=ISO_19111) Date getOrigin()
    The date and time origin of this temporal datum.

    Warning: The return type of this method may change in GeoAPI 3.1 release. It may be replaced by a type matching more closely either ISO 19108 (Temporal Schema) or ISO 19103.

    Returns:
      The date and time origin of this temporal datum.

  - ### getAnchorPoint

    @UML(identifier="anchorPoint", obligation=FORBIDDEN, specification=ISO_19111) InternationalString getAnchorPoint()
    This attribute is defined in the `Datum` parent interface, but is not used by a temporal datum.
    Specified by:
      `getAnchorPoint` in interface `Datum`
    Returns:
      Always `null`.

  - ### getRealizationEpoch

    @UML(identifier="realizationEpoch", obligation=FORBIDDEN, specification=ISO_19111) Date getRealizationEpoch()
    This attribute is defined in the `Datum` parent interface, but is not used by a temporal datum.

    Warning: The return type of this method may change in GeoAPI 3.1 release. It may be replaced by a type matching more closely either ISO 19108 (Temporal Schema) or ISO 19103.

    Specified by:
      `getRealizationEpoch` in interface `Datum`
    Returns:
      Always `null`.